{
  description = "Advent of Code";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
  };

  outputs = { self, nixpkgs }:
    let 
      version = builtins.string 0 8 self.lastModifiedDate;
      supportedSystems = [ "x86_64-linux" ];
    in
    {
      devShell."x86_64-linux" =
        let
          pkgs = import nixpkgs { system = "x86_64-linux"; };
        in
        pkgs.mkShell {
          name = "aoc-devshell";
          buildInputs = [
            # pkgs.pkg-config
            # pkgs.openssl
            pkgs.rustup
          ];
        };
    };
}
